| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Functions
mtx.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | MTX_EXTERN

## Functions
MTX_EXTERN void | mtxLoadIdentityf (float M[16])
MTX_EXTERN void | mtxLoadMatrixf (float M[16], const float T[16])
MTX_EXTERN void | mtxMultMatrixf (float M[16], const float T[16])
MTX_EXTERN void | mtxTranslatef (float M[16], const float x, const float y, const float z)
MTX_EXTERN void | mtxRotatef (float M[16], const float q, const float x, const float y, const float z)
MTX_EXTERN void | mtxScalef (float M[16], const float x, const float y, const float z)
MTX_EXTERN void | mtxOrthof (float M[16], float left, float right, float bottom, float top, float zNear, float zFar)
MTX_EXTERN void | mtxFrustumf (float M[16], float left, float right, float bottom, float top, float zNear, float zFar)
MTX_EXTERN void | mtxPerspectivef (float M[16], float fovy, float aspect, float zNear, float zFar)
MTX_EXTERN void | mtxLookAtf (float M[16], float eyeX, float eyeY, float eyeZ, float centerX, float centerY, float centerZ, float upX, float upY, float upZ)
MTX_EXTERN void | mtxLoadIdentityd (double M[16])
MTX_EXTERN void | mtxLoadMatrixd (double M[16], const double T[16])
MTX_EXTERN void | mtxMultMatrixd (double M[16], const double T[16])
MTX_EXTERN void | mtxTranslated (double M[16], const double x, const double y, const double z)
MTX_EXTERN void | mtxRotated (double M[16], const double q, const double x, const double y, const double z)
MTX_EXTERN void | mtxScaled (double M[16], const double x, const double y, const double z)
MTX_EXTERN void | mtxOrthod (double M[16], double left, double right, double bottom, double top, double zNear, double zFar)
MTX_EXTERN void | mtxFrustumd (double M[16], double left, double right, double bottom, double top, double zNear, double zFar)
MTX_EXTERN void | mtxPerspectived (double M[16], double fovy, double aspect, double zNear, double zFar)
MTX_EXTERN void | mtxLookAtd (double M[16], double eyeX, double eyeY, double eyeZ, double centerX, double centerY, double centerZ, double upX, double upY, double upZ)

## Macro Definition Documentation

## ◆ MTX_EXTERN

#define MTX_EXTERN

## Function Documentation

## ◆ mtxFrustumd()

MTX_EXTERN void mtxFrustumd | ( | double | M[16],
|  | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | zNear,
|  | double | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxFrustumf()

MTX_EXTERN void mtxFrustumf | ( | float | M[16],
|  | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | zNear,
|  | float | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxLoadIdentityd()

MTX_EXTERN void mtxLoadIdentityd | ( | double | M[16] | ) |

## ◆ mtxLoadIdentityf()

MTX_EXTERN void mtxLoadIdentityf | ( | float | M[16] | ) |

## ◆ mtxLoadMatrixd()

MTX_EXTERN void mtxLoadMatrixd | ( | double | M[16],
|  | const double | T[16]
| ) |  |

## ◆ mtxLoadMatrixf()

MTX_EXTERN void mtxLoadMatrixf | ( | float | M[16],
|  | const float | T[16]
| ) |  |

## ◆ mtxLookAtd()

MTX_EXTERN void mtxLookAtd | ( | double | M[16],
|  | double | eyeX,
|  | double | eyeY,
|  | double | eyeZ,
|  | double | centerX,
|  | double | centerY,
|  | double | centerZ,
|  | double | upX,
|  | double | upY,
|  | double | upZ
| ) |  |

Here is the call graph for this function:

## ◆ mtxLookAtf()

MTX_EXTERN void mtxLookAtf | ( | float | M[16],
|  | float | eyeX,
|  | float | eyeY,
|  | float | eyeZ,
|  | float | centerX,
|  | float | centerY,
|  | float | centerZ,
|  | float | upX,
|  | float | upY,
|  | float | upZ
| ) |  |

Here is the call graph for this function:

## ◆ mtxMultMatrixd()

MTX_EXTERN void mtxMultMatrixd | ( | double | M[16],
|  | const double | T[16]
| ) |  |

## ◆ mtxMultMatrixf()

MTX_EXTERN void mtxMultMatrixf | ( | float | M[16],
|  | const float | T[16]
| ) |  |

## ◆ mtxOrthod()

MTX_EXTERN void mtxOrthod | ( | double | M[16],
|  | double | left,
|  | double | right,
|  | double | bottom,
|  | double | top,
|  | double | zNear,
|  | double | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxOrthof()

MTX_EXTERN void mtxOrthof | ( | float | M[16],
|  | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | zNear,
|  | float | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxPerspectived()

MTX_EXTERN void mtxPerspectived | ( | double | M[16],
|  | double | fovy,
|  | double | aspect,
|  | double | zNear,
|  | double | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxPerspectivef()

MTX_EXTERN void mtxPerspectivef | ( | float | M[16],
|  | float | fovy,
|  | float | aspect,
|  | float | zNear,
|  | float | zFar
| ) |  |

Here is the call graph for this function:

## ◆ mtxRotated()

MTX_EXTERN void mtxRotated | ( | double | M[16],
|  | const double | q,
|  | const double | x,
|  | const double | y,
|  | const double | z
| ) |  |

Here is the call graph for this function:

## ◆ mtxRotatef()

MTX_EXTERN void mtxRotatef | ( | float | M[16],
|  | const float | q,
|  | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

Here is the call graph for this function:

## ◆ mtxScaled()

MTX_EXTERN void mtxScaled | ( | double | M[16],
|  | const double | x,
|  | const double | y,
|  | const double | z
| ) |  |

Here is the call graph for this function:

## ◆ mtxScalef()

MTX_EXTERN void mtxScalef | ( | float | M[16],
|  | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

Here is the call graph for this function:

## ◆ mtxTranslated()

MTX_EXTERN void mtxTranslated | ( | double | M[16],
|  | const double | x,
|  | const double | y,
|  | const double | z
| ) |  |

Here is the call graph for this function:

## ◆ mtxTranslatef()

MTX_EXTERN void mtxTranslatef | ( | float | M[16],
|  | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

Here is the call graph for this function: